Bug 763773 - (GLUSTER-2041) volume set help option
volume set help option
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.1
All Linux
low Severity low
: ---
: ---
Assigned To: kaushik
:
: GLUSTER-2977 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-29 01:47 EDT by Lakshmipathi G
Modified: 2011-09-19 06:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: master
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-10-29 01:47:11 EDT
need a volume set help option, which lists possible option and its value.

#gluster volume set help
performance.cache-min-file-size       ( 0 < min-file-size )
performance.cache-max-file-size       ( 0 < max-file-size > min-file-size )
performance.cache-refresh-timeout     ( 0 < cache-timeout < 61 )
cluster.stripe-block-size             ( list such as : "*.jpg:1,abc*:2" )
cluster.self-heal-window-size         ( 0 < data-self-heal-window-size < 1025)
network.frame-timeout                 ( 5 < frame-timeout < 86400 )   
network.ping-timeout                  ( 0 < ping-timeout < 1014 )
auth.allow                            ( valid IP address which includes wild card               
auth.reject                             patterns including *, such as 192.168.1.* )
performance.cache-size                ( 4MB < cache-size < 6GB )
diagnostics.latency-measurement       ( yes/no )
diagnostics.dump-fd-stats             ( yes/no )
diagnostics.brick-log-level           ( DEBUG|WARNING|ERROR|CRITICAL|NONE|TRACE )
diagnostics.client-log-level          ( DEBUG|WARNING|ERROR|CRITICAL|NONE|TRACE )
Comment 1 kaushik 2011-06-02 04:09:54 EDT
*** Bug 2977 has been marked as a duplicate of this bug. ***
Comment 2 Anand Avati 2011-07-12 09:03:08 EDT
PATCH: http://patches.gluster.com/patch/7841 in master (mgmt/Glusterd: Implementation volume set help/help-xml)
Comment 3 Anand Avati 2011-07-12 09:03:14 EDT
PATCH: http://patches.gluster.com/patch/7842 in master (afr: changes in volume_options to assist volume set help/help-xml)
Comment 4 Anand Avati 2011-07-12 09:03:19 EDT
PATCH: http://patches.gluster.com/patch/7843 in master (dht: changes in volume_options to assist volume set help/help-xml)
Comment 5 Anand Avati 2011-07-12 09:03:25 EDT
PATCH: http://patches.gluster.com/patch/7844 in master (stripe: changes in volume_options to assist volume set help/help-xml)
Comment 6 Anand Avati 2011-07-12 09:03:31 EDT
PATCH: http://patches.gluster.com/patch/7846 in master (quota: changes in volume_options to assist volume set help/help-xml)
Comment 7 Anand Avati 2011-07-12 09:03:37 EDT
PATCH: http://patches.gluster.com/patch/7847 in master (io-cache: changes in volume_options to assist volume set help/help-xml)
Comment 8 Anand Avati 2011-07-12 09:03:43 EDT
PATCH: http://patches.gluster.com/patch/7848 in master (io-threads: changes in volume_options to assist volume set help/help-xml)
Comment 9 Anand Avati 2011-07-12 09:03:48 EDT
PATCH: http://patches.gluster.com/patch/7849 in master (quick-read: changes in volume_options to assist volume set help/help-xml)
Comment 10 Anand Avati 2011-07-12 09:03:54 EDT
PATCH: http://patches.gluster.com/patch/7850 in master (write-behind: changes in volume_options to assist volume set help/help-xml)
Comment 11 Anand Avati 2011-07-12 09:03:59 EDT
PATCH: http://patches.gluster.com/patch/7851 in master (protocol/client: changes in volume_options to assist volume set help/help-xml)
Comment 12 Anand Avati 2011-07-13 03:40:05 EDT
PATCH: http://patches.gluster.com/patch/7886 in master (io-stats: changes in volume_options to assist volume set help/help-xml)
Comment 13 Anand Avati 2011-07-13 03:40:11 EDT
PATCH: http://patches.gluster.com/patch/7887 in master (mgmt/Glusterd: Fix build warning)
Comment 14 Anand Avati 2011-07-17 07:46:23 EDT
PATCH: http://patches.gluster.com/patch/7920 in release-3.1 (mgmt/Glusterd: Implementation volume set help/help-xml)
Comment 15 Anand Avati 2011-07-17 07:46:29 EDT
PATCH: http://patches.gluster.com/patch/7921 in release-3.1 (afr: changes in volume_options to assist volume set)
Comment 16 Anand Avati 2011-07-17 07:46:35 EDT
PATCH: http://patches.gluster.com/patch/7922 in release-3.1 (dht: changes in volume_options to assist volume set)
Comment 17 Anand Avati 2011-07-17 07:46:41 EDT
PATCH: http://patches.gluster.com/patch/7923 in release-3.1 (stripe: changes in volume_options to assist volume set)
Comment 18 Anand Avati 2011-07-17 07:46:47 EDT
PATCH: http://patches.gluster.com/patch/7924 in release-3.1 (io-cache: changes in volume_options to assist volume)
Comment 19 Anand Avati 2011-07-17 07:46:53 EDT
PATCH: http://patches.gluster.com/patch/7925 in release-3.1 (io-threads: changes in volume_options to assist volume set help/help-xml)
Comment 20 Anand Avati 2011-07-17 07:46:59 EDT
PATCH: http://patches.gluster.com/patch/7926 in release-3.1 (quick-read: changes in volume_options to assist volume set help/help-xml)
Comment 21 Anand Avati 2011-07-17 07:47:05 EDT
PATCH: http://patches.gluster.com/patch/7927 in release-3.1 (write-behind: changes in volume_options to assist)
Comment 22 Anand Avati 2011-07-17 07:47:11 EDT
PATCH: http://patches.gluster.com/patch/7928 in release-3.1 (protocol/client: changes in volume_options to assist)
Comment 23 Anand Avati 2011-08-03 22:48:58 EDT
CHANGE: http://review.gluster.com/132 (Change-Id: I083f760b63fc96f938d64a61f193f7426640966b) merged in release-3.1 by Anand Avati (avati@gluster.com)
Comment 24 Anand Avati 2011-08-05 01:51:25 EDT
CHANGE: http://review.gluster.com/168 (   -  Overallocate the buffer-size of the xmlBuffer to 16KB) merged in release-3.1 by Anand Avati (avati@gluster.com)
Comment 25 Anand Avati 2011-08-08 03:42:28 EDT
CHANGE: http://review.gluster.com/191 (     - fix few typos in description) merged in release-3.1 by Anand Avati (avati@gluster.com)
Comment 26 Lakshmipathi G 2011-08-09 00:07:42 EDT
tested with 3.1.6qa17 both volume set help and volume set help-xml working.
Comment 27 Lakshmipathi G 2011-09-19 03:35:37 EDT
tested set help and set help-xml with master"39fee9a8f8264df61f77563acb048a441265afcf"

Note You need to log in before you can comment on or make changes to this bug.